## org.apache.xml.utils
Class DefaultErrorHandler

    java.lang.Object
      org.apache.xml.utils.DefaultErrorHandler

All Implemented Interfaces:
  javax.xml.transform.ErrorListener, org.xml.sax.ErrorHandler

    public class DefaultErrorHandler

extends java.lang.Object
implements org.xml.sax.ErrorHandler, javax.xml.transform.ErrorListener

Implement SAX error handler for default reporting.

Usage:

Constructor Summary
`DefaultErrorHandler()` Constructor DefaultErrorHandler
`DefaultErrorHandler(boolean throwExceptionOnError)` Constructor DefaultErrorHandler
`DefaultErrorHandler(java.io.PrintStream pw)` Constructor DefaultErrorHandler
`DefaultErrorHandler(java.io.PrintWriter pw)` Constructor DefaultErrorHandler

Method Summary
`static void` `ensureLocationSet(javax.xml.transform.TransformerException exception)`
`void` `error(org.xml.sax.SAXParseException exception)` Receive notification of a recoverable error.
`void` `error(javax.xml.transform.TransformerException exception)` Receive notification of a recoverable error.
`void` `fatalError(org.xml.sax.SAXParseException exception)` Receive notification of a non-recoverable error.
`void` `fatalError(javax.xml.transform.TransformerException exception)` Receive notification of a non-recoverable error.
`static void` `printLocation(java.io.PrintStream pw, org.xml.sax.SAXParseException exception)`
`static void` `printLocation(java.io.PrintStream pw, javax.xml.transform.TransformerException exception)`
`static void` `printLocation(java.io.PrintWriter pw, java.lang.Throwable exception)`
`void` `warning(org.xml.sax.SAXParseException exception)` Receive notification of a warning.
`void` `warning(javax.xml.transform.TransformerException exception)` Receive notification of a warning.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultErrorHandler

    public DefaultErrorHandler(java.io.PrintWriter pw)

  Constructor DefaultErrorHandler

### DefaultErrorHandler

    public DefaultErrorHandler(java.io.PrintStream pw)

  Constructor DefaultErrorHandler

### DefaultErrorHandler

    public DefaultErrorHandler()

  Constructor DefaultErrorHandler

### DefaultErrorHandler

    public DefaultErrorHandler(boolean throwExceptionOnError)

  Constructor DefaultErrorHandler

Method Detail

### warning

    public void warning(org.xml.sax.SAXParseException exception)
                 throws org.xml.sax.SAXException

  Receive notification of a warning.

  SAX parsers will use this method to report conditions that are not errors or fatal errors as defined by the XML 1.0 recommendation. The default behaviour is to take no action.

  The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end.

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
  Parameters:
    `exception` - The warning information encapsulated in a SAX parse exception.
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

### error

    public void error(org.xml.sax.SAXParseException exception)
               throws org.xml.sax.SAXException

  Receive notification of a recoverable error.

  This corresponds to the definition of "error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a validating parser would use this callback to report the violation of a validity constraint. The default behaviour is to take no action.

  The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end. If the application cannot do so, then the parser should report a fatal error even if the XML 1.0 recommendation does not require it to do so.

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Parameters:
    `exception` - The error information encapsulated in a SAX parse exception.
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)
                    throws org.xml.sax.SAXException

  Receive notification of a non-recoverable error.

  This corresponds to the definition of "fatal error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a parser would use this callback to report the violation of a well-formedness constraint.

  The application must assume that the document is unusable after the parser has invoked this method, and should continue (if at all) only for the sake of collecting addition error messages: in fact, SAX parsers are free to stop reporting any other events once this method has been invoked.

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Parameters:
    `exception` - The error information encapsulated in a SAX parse exception.
  Throws:
    `org.xml.sax.SAXException` - Any SAX exception, possibly wrapping another exception.

### warning

    public void warning(javax.xml.transform.TransformerException exception)
                 throws javax.xml.transform.TransformerException

  Receive notification of a warning.

  SAX parsers will use this method to report conditions that are not errors or fatal errors as defined by the XML 1.0 recommendation. The default behaviour is to take no action.

  The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end.

  Specified by:
    `warning` in interface `javax.xml.transform.ErrorListener`
  Parameters:
    `exception` - The warning information encapsulated in a SAX parse exception.
  Throws:
    `javax.xml.transform.TransformerException` - Any SAX exception, possibly wrapping another exception.
  See Also:
    `TransformerException`

### error

    public void error(javax.xml.transform.TransformerException exception)
               throws javax.xml.transform.TransformerException

  Receive notification of a recoverable error.

  This corresponds to the definition of "error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a validating parser would use this callback to report the violation of a validity constraint. The default behaviour is to take no action.

  The SAX parser must continue to provide normal parsing events after invoking this method: it should still be possible for the application to process the document through to the end. If the application cannot do so, then the parser should report a fatal error even if the XML 1.0 recommendation does not require it to do so.

  Specified by:
    `error` in interface `javax.xml.transform.ErrorListener`
  Parameters:
    `exception` - The error information encapsulated in a SAX parse exception.
  Throws:
    `javax.xml.transform.TransformerException` - Any SAX exception, possibly wrapping another exception.
  See Also:
    `TransformerException`

### fatalError

    public void fatalError(javax.xml.transform.TransformerException exception)
                    throws javax.xml.transform.TransformerException

  Receive notification of a non-recoverable error.

  This corresponds to the definition of "fatal error" in section 1.2 of the W3C XML 1.0 Recommendation. For example, a parser would use this callback to report the violation of a well-formedness constraint.

  The application must assume that the document is unusable after the parser has invoked this method, and should continue (if at all) only for the sake of collecting addition error messages: in fact, SAX parsers are free to stop reporting any other events once this method has been invoked.

  Specified by:
    `fatalError` in interface `javax.xml.transform.ErrorListener`
  Parameters:
    `exception` - The error information encapsulated in a SAX parse exception.
  Throws:
    `javax.xml.transform.TransformerException` - Any SAX exception, possibly wrapping another exception.
  See Also:
    `TransformerException`

### ensureLocationSet

    public static void ensureLocationSet(javax.xml.transform.TransformerException exception)

### printLocation

    public static void printLocation(java.io.PrintStream pw,
                                     javax.xml.transform.TransformerException exception)

### printLocation

    public static void printLocation(java.io.PrintStream pw,
                                     org.xml.sax.SAXParseException exception)

### printLocation

    public static void printLocation(java.io.PrintWriter pw,
                                     java.lang.Throwable exception)

Copyright © 2005 Apache XML Project. All Rights Reserved.